> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.middesk.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server.

# Fetch supported local jurisdictions

GET https://api.middesk.com/v1/agent/jurisdictions

Reference: https://docs.middesk.com/api-reference/entity-management/jurisdictions/list-jurisdictions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `state` (string, required) — US state abbreviation (e.g., CO, CA, NY)

## Response

### 200

jurisdictions list

- `object` (string, optional)
- `data` (list of AgentJurisdiction, optional)
- `search_config` (ListJurisdictionsResponseSearchConfig, optional, nullable)

## Types

### AgentJurisdiction

- `object` (string, required)
- `slug` (string, required) — Unique identifier for the jurisdiction
- `name` (string, required) — Full name of the jurisdiction
- `state` (string, required) — US state abbreviation
- `type` (string, optional) — Type of tax (e.g., City Tax, State Tax)
- `label` (string, optional) — Display label for the jurisdiction
- `agency_name` (string, optional) — Name of the tax agency
- `agency_slug` (string, optional) — Unique identifier for the agency
- `agency_items` (list of string, optional) — List of items collected by the agency
- `city` (string, optional, nullable) — City name if applicable

### ListJurisdictionsResponseSearchConfig

- `hint` (string, optional)
- `help_text` (string, optional, nullable)
- `help_url` (string, optional, nullable)

## Examples

**Response**

```json
{
  "object": "list",
  "data": [
    {
      "object": "agent_jurisdiction",
      "slug": "aurora_city_tax",
      "name": "Aurora City Tax",
      "state": "CO",
      "type": "City Tax",
      "label": "Aurora",
      "agency_name": "Aurora Tax & Licensing Portal",
      "agency_slug": "co_aurora",
      "agency_items": [
        "Aurora Account Number"
      ],
      "city": "Aurora"
    },
    {
      "object": "agent_jurisdiction",
      "slug": "denver_city_tax",
      "name": "Denver City Tax",
      "state": "CO",
      "type": "City Tax",
      "label": "Denver",
      "agency_name": "Denver eBiz Tax Center",
      "agency_slug": "co_denver",
      "agency_items": [
        "Denver Account Number"
      ],
      "city": "Denver"
    }
  ],
  "search_config": {
    "hint": "hint",
    "help_text": "help_text",
    "help_url": "help_url"
  }
}
```

**SDK Code**

```python Colorado jurisdictions
import requests

url = "https://api.middesk.com/v1/agent/jurisdictions"

querystring = {"state":"state"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Colorado jurisdictions
const url = 'https://api.middesk.com/v1/agent/jurisdictions?state=state';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Colorado jurisdictions
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.middesk.com/v1/agent/jurisdictions?state=state"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Colorado jurisdictions
require 'uri'
require 'net/http'

url = URI("https://api.middesk.com/v1/agent/jurisdictions?state=state")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Colorado jurisdictions
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.middesk.com/v1/agent/jurisdictions?state=state")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Colorado jurisdictions
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.middesk.com/v1/agent/jurisdictions?state=state', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Colorado jurisdictions
using RestSharp;

var client = new RestClient("https://api.middesk.com/v1/agent/jurisdictions?state=state");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Colorado jurisdictions
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/agent/jurisdictions?state=state")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```